/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

/* BODY */
body {
  font-family: 'Inter', sans-serif;
  background: #0a0a0a;
  color: #fff;
  line-height: 1.6;
  overflow-x: hidden;
}

/* SUBTLE BACKGROUND GLOW */
body::before {
  content: "";
  position: fixed;
  width: 500px;
  height: 500px;
  background: radial-gradient(circle, rgba(255,255,255,0.05), transparent);
  top: -200px;
  left: -200px;
  z-index: -1;
}

/* POPUP */
.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.85);
  backdrop-filter: blur(10px);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 2000;
}

.popup.show {
  opacity: 1;
  visibility: visible;
}

.popup-img {
  max-width: 90%;
  max-height: 90%;
  border-radius: 30px;
  transform: scale(1.2);
  transition: 0.2s;
}

.popup.show .popup-img {
  transform: scale(1);
}

.close {
  position: absolute;
  top: 30px;
  right: 40px;
  font-size: 30px;
  color: white;
  cursor: pointer;
}

/* NAVBAR */
nav {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: 90%;
  padding: 15px 30px;
  border-radius: 50px;
  background: rgba(255, 255, 255, 0.036);
  backdrop-filter: blur(20px);
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
  border: 1px solid rgba(255, 255, 255, 0.180);
}

nav a {
  color: #aaa;
  margin-left: 20px;
  text-decoration: none;
  font-size: 0.9rem;
  position: relative;
  transition: 0.3s;
}

nav a::after {
  content: "";
  position: absolute;
  width: 0%;
  height: 2px;
  left: 0;
  bottom: -4px;
  background: white;
  transition: 0.3s;
}

nav a:hover {
  color: white;
}

nav a:hover::after {
  width: 100%;
}

/* SECTION */
section {
  padding: 140px 20px;
  text-align: center;
}

/* HERO */
.hero {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
  padding: 0 60px;
}

/* row layout */
.hero-row {
  display: flex;
  align-items: center;
  gap: 40px;
}

/* image */
.hero-row img {
  width: 320px;
  border-radius: 20px;
  box-shadow: 0 20px 50px rgba(0,0,0,0.6);
}

/* text */
.hero-row p {
  max-width: 500px;
  color: #aaa;
  font-size: 1.1rem;
  line-height: 1.6;
}
/* GRID */
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
  gap: 25px;
  margin-top: 50px;
}

/* CARD */
.card {
  padding: 25px;
  border-radius: 20px;
  background: rgba(255,255,255,0.05);
  backdrop-filter: blur(20px);
  border: 1px solid rgba(255,255,255,0.1);
  text-align: left;
  transition: 0.4s ease;
}

.card:hover {
  transform: translateY(-10px) scale(1.02);
  background: rgba(255,255,255,0.08);
  box-shadow: 0 20px 50px rgba(0,0,0,0.5);
}

/* TEXT */
h1 {
  font-size: 2.4rem;
  margin-bottom: 20px;
}

p {
  color: #aaa;
}

/* GALLERY */
.grid img {
  width: 100%;
  border-radius: 15px;
  transition: 0.4s ease;
  cursor: pointer;
}

.grid img:hover {
  transform: scale(1.05);
}

/* BUTTON */
.btn {
  display: inline-block;
  padding: 16px 40px;
  font-size: 1.1rem;
  border-radius: 50px;
  background: rgba(255,255,255,0.1);
  backdrop-filter: blur(20px);
  color: white;
  border: 1px solid rgba(255,255,255,0.2);
  transition: 0.2s;
  cursor: pointer;
}

.btn:hover {
  background: white;
  color: black;
  transform: translateY(-3px);
}

/* CONTACT POPUP */
.contact-popup {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  gap: 20px;

  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;

  transition: 0.4s ease;
}

.contact-popup.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.contact-popup a {
  font-size: 22px;
  color: rgba(255,255,255,0.6);

  padding: 12px;
  border-radius: 50%;
  background: rgba(255,255,255,0.05);
  backdrop-filter: blur(10px);

  transition: 0.2s;
}

.contact-popup a:hover {
  color: white;
  transform: translateY(-5px) scale(1.1);
  text-shadow: 0 0 10px rgba(255,255,255,0.6);
}

/* QUALIFICATION TABLE */
.card-body table {
  width: 100%;
  border-collapse: collapse;
}

.card-body th,
.card-body td {
  color: #aaa;
  padding: 12px;
  text-align: left;
  border-bottom: 1px solid #635e5e;
}

.card-body th {
  color: #fff;
  background-color: #f5f5f520;
  font-weight: bold;
}



/* FOOTER */
footer {
  margin-top: 100px;
  padding: 30px;
  font-style: italic;
  font-size: 0.8rem;
  letter-spacing: 1.5px;
  text-align: center;
  color: #777;
  border-top: 1px solid rgba(255,255,255,0.05);
}

/* PROGRESS BAR */
#progress-bar {
  position: fixed;
  top: 0;
  left: 0;
  height: 3px;
  width: 0%;
  background: linear-gradient(90deg, #00c6ff, #0072ff);
  z-index: 2000;
}

/* ANIMATION */
@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* SCROLL REVEAL */
.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: 0.8s ease;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}

/* MOBILE FIX */
@media (max-width: 768px) {
  .photo-row {
    flex-direction: column;
  }

  nav {
    flex-direction: column;
    gap: 10px;
  }
}
